List parameter collections in the given group
GET
v1/accounts/{accountId}/groups/{groupId}/collections
Lists all parameter collections in the specified group.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/parameters/v1/accounts/{accountId}/groups/{groupId}/collections |
| Authentication Context | user context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Accept-Language string | A localization list consisting of localization codes delimited by commas. For instance, a user residing in the UK may request en-GB, en-US, or en. |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| accountId string: UUID or string: b.UUID | The Autodesk Forma hub ID. |
| groupId string | The group ID. Currently, only one group is supported, and group id is equal to hub id. (Supporting multiple groups is considered for future enhancement). |
Request
Query String Parameters
| offset int | Offset from the start of the collection to the first entry in the page. Zero based. |
| limit int | Determines the maximum number of objects that MAY be returned. A query MAY return fewer than the value of limit due to filtering or other reasons. |
| joinConstructionData bool | When set to true, populates response field “isArchived” to indicate whether each collection in the Autodesk Forma hub’s Library is archived. Otherwise, the “isArchived” field will be null for all collections. |
Response
HTTP Status Code Summary
| 200 OK | Successful retrieval of all parameter collections within a group. |
| 207 Partial Success | The best-case scenario for localization cannot be returned, but otherwise at least one parameter collection was localized in some way. The “best case” is when the first choice localization code could be used on all the parameter collections. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. If the hub is not yet activated there will be an “Account is not activated” message. See Step-by-Step tutorials for how to activate your hub |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (200)
Example
Successful retrieval of all parameter collections within a group (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/groups/009777bb-e1e5-4577-9800-0789677e4616/collections' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"pagination": {
"offset": 0,
"limit": 20,
"totalResults": 1
},
"results": [
{
"id": "36416b47-4478-4c58-9a13-a924169a9813",
"title": "A Test Collection",
"description": "A Collection for testing parameter management",
"group": {"id": "009777bb-e1e5-4577-9800-0789677e4616" },
"account": {"id": "009777bb-e1e5-4577-9800-0789677e4616" },
"createdBy": "KK7SLSD6ZBFP",
"createdAt": "2023-07-10T18:11:15+0000",
"updatedBy": "KK7SLSD6ZBFP",
"updatedAt": "2023-07-10T18:11:15+0000",
"isArchived": "null"
}
]
}
Show More
Successful retrieval of all parameter collections within a group in generic German (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/groups/009777bb-e1e5-4577-9800-0789677e4616/collections' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Accept-Language: de'
Response
{
"pagination": {
"offset": 0,
"limit": 20,
"totalResults": 1
},
"results": [
{
"id": "36416b47-4478-4c58-9a13-a924169a9813",
"title": "Eine Testsammlung",
"description": "Eine Sammlung zum Testen des Parametermanagements",
"group": {
"id": "009777bb-e1e5-4577-9800-0789677e4616"
},
"account": {
"id": "009777bb-e1e5-4577-9800-0789677e4616"
},
"createdBy": "KK7SLSD6ZBFP",
"createdAt": "2023-07-10T18:11:15+0000",
"updatedBy": "KK7SLSD6ZBFP",
"updatedAt": "2023-07-10T18:11:15+0000",
"localization": {
"locale": {
"language": "de",
"region": null
},
"selection": "LCL_EXACT"
}
}
]
}
Show More